RHINO-DEBUGGER(1)

NAME

rhino-debugger - invokes the rhino JavaScript debugger GUI

SYNOPSIS
rhino-debugger [options] script_filename_or_url [script_arguments]

DESCRIPTION

This manual page documents briefly the rhino-debugger command. This manual page was written for the Debian distribution because the original program does not have a manual page. It is written according to the html documentation.

rhino-debugger is a start script for the rhino JavaScript debugger. The Rhino JavaScript debugger is a GUI that allows debugging of interpreted JavaScript scripts run in Rhino. Note that this debugger will not work with JavaScript scripts run in the mozilla browser since Rhino is not the engine used in such environments.

OPTIONS

-w  Enable warnings.

-version versionNumber
    Specifies the language version to compile with. The string versionNumber must be one of 100, 110, 120, 130, 140, 150, 160, 170, 180 or 200. See JavaScript Language Versions for more information on language$

-opt, -O optLevel
    Optimizes at level optLevel, which must be an integer between -1 and 9. -1 means Interpretive mode is always used. 0 means no optimizations whereas 9 means all optimizations are performed.

-f script_filename_or_url
    Reads script_filename_or_url content and execute it as a JavaScript script.

-e script_source
    Executes script_source as a JavaScript script.

-modules uri
    Add a single path or URL element to the CommonJS module search path. (implies -require)

-require
    Enable CommonJS module support.

-sandbox
    Enable CommonJS sandbox mode. (implies -require)

-debug
    Generate debug code.

-strict
    Enable strict mode.

-fatal-warnings
    Treat warnings as errors.

-encoding charset
    Use specified character encoding as default when reading scripts.

EXAMPLE

Example debugging the NervousText.js applet written in JavaScript. The example is provided in the librhino-java-doc package.

$ rhino-debugger NervousText.js

SEE ALSO

The online documentation under https://developer.mozilla.org/en-US/docs/Mozilla/Projects/Rhino/Debugger

AUTHOR

This manual page was written by Damien Raude-Morvan <drazzib@debian.org>, for the Debian project (but may be used by others).